gtkmm: Gtk::FontChooserDialog Class Reference

gtkmm 3.4.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gtk::FontChooserDialog Class Reference
Dialogs

A dialog box for selecting fonts. More...

Inheritance diagram for Gtk::FontChooserDialog:
[legend]

List of all members.

## Public Member Functions
virtual | ~FontChooserDialog ()
GtkFontChooserDialog* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkFontChooserDialog* | gobj () const
| Provides access to the underlying C GtkObject.
| FontChooserDialog ()
| FontChooserDialog (const Glib::ustring& title)
| FontChooserDialog (const Glib::ustring& title, Window& transient_for)
## Related Functions
(Note that these are not member functions.)
Gtk::FontChooserDialog* | wrap (GtkFontChooserDialog* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A dialog box for selecting fonts.

It implements the #GtkFontChooser interface.

To set the font which is initially selected, use set_font_name().

To get the selected font use get_font_name().

To change the text which is shown in the preview area, use set_preview_text().

Since gtkmm 3.2:

## Constructor & Destructor Documentation

virtual Gtk::FontChooserDialog::~FontChooserDialog | ( |  | ) | `[virtual]`

Gtk::FontChooserDialog::FontChooserDialog | ( |  | ) |

Gtk::FontChooserDialog::FontChooserDialog | ( | const Glib::ustring & | title | ) | `[explicit]`

Gtk::FontChooserDialog::FontChooserDialog | ( | const Glib::ustring & | title,
|  | Window& | transient_for
| ) |  | `[explicit]`

## Member Function Documentation

GtkFontChooserDialog* Gtk::FontChooserDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

const GtkFontChooserDialog* Gtk::FontChooserDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

## Friends And Related Function Documentation

Gtk::FontChooserDialog* wrap | ( | GtkFontChooserDialog * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/fontchooserdialog.h